Package org.mariadb.jdbc.internal.util.constant

## Class ServerStatus

- java.lang.Object
- - org.mariadb.jdbc.internal.util.constant.ServerStatus

    public class ServerStatus
    extends Object

### Field Summary

Fields
`static short` `AUTOCOMMIT`
`static short` `CURSOR_EXISTS`
`static short` `DB_DROPPED`
`static short` `IN_TRANSACTION`
`static short` `LAST_ROW_SENT`
`static short` `METADATA_CHANGED`
`static short` `MORE_RESULTS_EXISTS`
`static short` `NO_BACKSLASH_ESCAPES`
`static short` `PS_OUT_PARAMETERS`
`static short` `QUERY_NO_GOOD_INDEX_USED`
`static short` `QUERY_NO_INDEX_USED`
`static short` `QUERY_WAS_SLOW`
`static short` `SERVER_SESSION_STATE_CHANGED`

### Constructor Summary

Constructors
`ServerStatus()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IN_TRANSACTION

    public static final short IN_TRANSACTION

See Also:
  Constant Field Values

#### AUTOCOMMIT

    public static final short AUTOCOMMIT

See Also:
  Constant Field Values

#### MORE_RESULTS_EXISTS

    public static final short MORE_RESULTS_EXISTS

See Also:
  Constant Field Values

#### QUERY_NO_GOOD_INDEX_USED

    public static final short QUERY_NO_GOOD_INDEX_USED

See Also:
  Constant Field Values

#### QUERY_NO_INDEX_USED

    public static final short QUERY_NO_INDEX_USED

See Also:
  Constant Field Values

#### CURSOR_EXISTS

    public static final short CURSOR_EXISTS

See Also:
  Constant Field Values

#### LAST_ROW_SENT

    public static final short LAST_ROW_SENT

See Also:
  Constant Field Values

#### DB_DROPPED

    public static final short DB_DROPPED

See Also:
  Constant Field Values

#### NO_BACKSLASH_ESCAPES

    public static final short NO_BACKSLASH_ESCAPES

See Also:
  Constant Field Values

#### METADATA_CHANGED

    public static final short METADATA_CHANGED

See Also:
  Constant Field Values

#### QUERY_WAS_SLOW

    public static final short QUERY_WAS_SLOW

See Also:
  Constant Field Values

#### PS_OUT_PARAMETERS

    public static final short PS_OUT_PARAMETERS

See Also:
  Constant Field Values

#### SERVER_SESSION_STATE_CHANGED

    public static final short SERVER_SESSION_STATE_CHANGED

See Also:
  Constant Field Values

### Constructor Detail

#### ServerStatus

    public ServerStatus()